io.undertow.security.handlers

## Class AuthenticationMechanismsHandler

- java.lang.Object
- - io.undertow.security.handlers.AuthenticationMechanismsHandler

All Implemented Interfaces:
  HttpHandler

    public class AuthenticationMechanismsHandler
    extends Object
    implements HttpHandler

Authentication handler that adds one or more authentication mechanisms to the security context

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationMechanismsHandler(HttpHandler next, List<AuthenticationMechanism> authenticationMechanisms)`
`AuthenticationMechanismsHandler(List<AuthenticationMechanism> authenticationHandlers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `getNext()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`AuthenticationMechanismsHandler` `setNext(HttpHandler next)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationMechanismsHandler

    public AuthenticationMechanismsHandler(HttpHandler next,
                                           List<AuthenticationMechanism> authenticationMechanisms)

#### AuthenticationMechanismsHandler

    public AuthenticationMechanismsHandler(List<AuthenticationMechanism> authenticationHandlers)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### getNext

    public HttpHandler getNext()

#### setNext

    public AuthenticationMechanismsHandler setNext(HttpHandler next)